io.undertow.websockets.core.protocol.version13

## Class WebSocket13Channel

- java.lang.Object
- - io.undertow.server.protocol.framed.AbstractFramedChannel<WebSocketChannel,StreamSourceFrameChannel,StreamSinkFrameChannel>
  - - io.undertow.websockets.core.WebSocketChannel
    - - io.undertow.websockets.core.protocol.version07.WebSocket07Channel
      - - io.undertow.websockets.core.protocol.version13.WebSocket13Channel

All Implemented Interfaces:
  Closeable, AutoCloseable, Channel, InterruptibleChannel, org.xnio.channels.BoundChannel, org.xnio.channels.CloseableChannel, org.xnio.channels.Configurable, org.xnio.channels.ConnectedChannel

    public class WebSocket13Channel
    extends WebSocket07Channel

A WebSocketChannel that handles version 13

Author:
  Norman Maurer

### Nested Class Summary

### Nested classes/interfaces inherited from class io.undertow.websockets.core.WebSocketChannel

`WebSocketChannel.PartialFrame`

### Field Summary

### Fields inherited from class io.undertow.websockets.core.protocol.version07.WebSocket07Channel

`OPCODE_BINARY, OPCODE_CLOSE, OPCODE_CONT, OPCODE_PING, OPCODE_PONG, OPCODE_TEXT`

### Fields inherited from class io.undertow.websockets.core.WebSocketChannel

`extensionFunction, extensionsSupported, fragmentedChannel, hasReservedOpCode`

### Fields inherited from interface org.xnio.channels.Configurable

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`WebSocket13Channel(org.xnio.StreamConnection channel, ByteBufferPool bufferPool, String wsUrl, String subProtocols, boolean client, boolean allowExtensions, ExtensionFunction extensionFunction, Set<WebSocketChannel> openConnections, org.xnio.OptionMap options)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WebSocketVersion` `getVersion()` Return the `WebSocketVersion` which is used

### Methods inherited from class io.undertow.websockets.core.protocol.version07.WebSocket07Channel

`closeSubChannels, createStreamSinkChannel, markReadsBroken, receiveFrame`

### Methods inherited from class io.undertow.websockets.core.WebSocketChannel

`areExtensionsSupported, createChannel, createIdleTimeoutChannel, getAttribute, getCloseCode, getCloseReason, getDestinationAddress, getExtensionFunction, getFramePriority, getPeerConnections, getReceivers, getRequestScheme, getSourceAddress, getSubProtocol, getSubProtocols, getUrl, handleBrokenSinkChannel, handleBrokenSourceChannel, isClient, isCloseFrameReceived, isCloseFrameSent, isCloseInitiatedByRemotePeer, isLastFrameReceived, isLastFrameSent, isReadsBroken, isSecure, lastDataRead, parseFrame, send, sendClose, setAttribute, setCloseCode, setCloseReason`

### Methods inherited from class io.undertow.server.protocol.framed.AbstractFramedChannel

`addCloseTask, close, flush, flushSenders, getBufferPool, getCloseSetter, getIdleTimeout, getIoThread, getLocalAddress, getLocalAddress, getOption, getPeerAddress, getPeerAddress, getReceiveSetter, getSettings, getUnderlyingConnection, getWorker, isOpen, isReceivesResumed, isRequireExplicitFlush, isWritesBroken, markWritesBroken, queueFrame, recalculateHeldFrames, receive, resumeReceives, setIdleTimeout, setOption, setRequireExplicitFlush, supportsOption, suspendReceives, toString, writeExceptionHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WebSocket13Channel

    public WebSocket13Channel(org.xnio.StreamConnection channel,
                              ByteBufferPool bufferPool,
                              String wsUrl,
                              String subProtocols,
                              boolean client,
                              boolean allowExtensions,
                              ExtensionFunction extensionFunction,
                              Set<WebSocketChannel> openConnections,
                              org.xnio.OptionMap options)

### Method Detail

#### getVersion

    public WebSocketVersion getVersion()

Description copied from class: `WebSocketChannel`
Return the `WebSocketVersion` which is used

Overrides:
  `getVersion` in class `WebSocketChannel`
Returns:
  version The `WebSocketVersion` which is in use